Loading...
Searching...
No Matches
Dune::cpgrid::OrientedEntityRange< codim_to > Class Template Reference

A class used as a row type for OrientedEntityTable. More...

`#include <OrientedEntityTable.hpp>`

Inheritance diagram for Dune::cpgrid::OrientedEntityRange< codim_to >:

## Public Types

typedef EntityRep< codim_to > | ToType
typedef ToType * | ToTypePtr
typedef Opm::SparseTable< ToType >::row_type | R

## Public Member Functions

| OrientedEntityRange ()
| Default constructor yielding an empty range.
| OrientedEntityRange (const R &r, bool orientation)
| Constructor taking a row type and an orientation.
int | size () const
ToType | operator[] (int subindex) const
| Random access operator.
bool | empty () const
Iter | begin () const
Iter | end () const

## Detailed Description

template<int codim_to>
class Dune::cpgrid::OrientedEntityRange< codim_to >

A class used as a row type for OrientedEntityTable.

Template Parameters

  codim_to | Codimension.

## Constructor & Destructor Documentation

## OrientedEntityRange()

template<int codim_to>

Dune::cpgrid::OrientedEntityRange< codim_to >::OrientedEntityRange | ( | const R & | r,
|  | bool | orientation )

inline

Constructor taking a row type and an orientation.

Parameters

  r | Row type
  orientation | True if positive orientation.

## Member Function Documentation

## operator[]()

template<int codim_to>

ToType Dune::cpgrid::OrientedEntityRange< codim_to >::operator[] | ( | int | subindex | ) | const

inline

Random access operator.

Parameters

  subindex | Column index.

Returns
  Entity representation.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/OrientedEntityTable.hpp